Package org.gradle.api.artifacts

## Interface DependencyArtifact

-     public interface DependencyArtifact

  An `Artifact` represents an artifact included in a `Dependency`.

  An artifact is an (immutable) value object.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_TYPE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassifier()` | Returns the classifier of this artifact.
    `java.lang.String` | `getExtension()` | Returns the extension of this artifact.
    `java.lang.String` | `getName()` | Returns the name of this artifact.
    `java.lang.String` | `getType()` | Returns the type of this artifact.
    `java.lang.String` | `getUrl()` | Returns an URL under which this artifact can be retrieved.
    `void` | `setClassifier​(java.lang.String classifier)` | Sets the classifier of this artifact.
    `void` | `setExtension​(java.lang.String extension)` | Sets the extension of this artifact.
    `void` | `setName​(java.lang.String name)` | Sets the name of this artifact.
    `void` | `setType​(java.lang.String type)` | Sets the type of this artifact.
    `void` | `setUrl​(java.lang.String url)` | Sets the URL for this artifact.

- - ### Field Detail

    - #### DEFAULT_TYPE

          static final java.lang.String DEFAULT_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this artifact.

    - #### setName

          void setName​(java.lang.String name)

      Sets the name of this artifact.

    - #### getType

          java.lang.String getType()

      Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      See Also:
        `getExtension()`

    - #### setType

          void setType​(java.lang.String type)

      Sets the type of this artifact.

    - #### getExtension

          java.lang.String getExtension()

      Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      See Also:
        `getType()`

    - #### setExtension

          void setExtension​(java.lang.String extension)

      Sets the extension of this artifact.

    - #### getClassifier

          java.lang.String getClassifier()

      Returns the classifier of this artifact.

    - #### setClassifier

          void setClassifier​(java.lang.String classifier)

      Sets the classifier of this artifact.

    - #### getUrl

          java.lang.String getUrl()

      Returns an URL under which this artifact can be retrieved. If not specified the user repositories are used for retrieving.

    - #### setUrl

          void setUrl​(java.lang.String url)

      Sets the URL for this artifact.